module RenderInterface where

import States
import StaticInterface

type Render a = Int -> a -> IO ()
type RenderStatic a = Static -> Render a

type RenderEnd = State -> IO ()
type RenderEndStatic = Static -> RenderEnd

data RenderEngine = RenderEngine { render_running   :: Render State
                                 , render_end       :: RenderEnd 
                                 }
